### Method

# FwupdPlugin Device remove_possible_plugin

#### Declaration [src]

    void
    fu_device_remove_possible_plugin (
      FuDevice* self,
      const gchar* plugin
    )

#### Description [src]

Removes a plugin name to the list of plugins that might be able to handle this device. This is typically called from a quirk handler.

Missing plugin names are ignored.

Available since: | 2.0.18

#### Parameters

`plugin` | `const gchar*`
| A plugin name, e.g. `dfu`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.